# tukey (v 0.1.0)
The tukey package provides basic mathematical operations like addition, subtraction, multiplication and division.

* **Code and Documentation:** [https://github.com/Shubhranil-Basak/tukey](https://github.com/Shubhranil-Basak/tukey)
*  **PyPi:** [https://pypi.org/project/tukey/](https://pypi.org/project/tukey/)
*  **Bug Reports:** [https://github.com/Shubhranil-Basak/tukey/issues](https://github.com/Shubhranil-Basak/tukey/issues)

Installation
----------------------
You can install 'tukey' from PyPi using pip:
```bash
pip install tukey
```
Usage
----------------------
once installed, you can import the package and use it's functionality directly:
```python
from tukey import tukey

# Basic arithmatic operations
print(tukey.add(1, 2))         # Output: 3
print(tukey.subtract(5, 3))    # Output: 2
print(tukey.multiply(4, 6))    # Output: 24
print(tukey.modulo(5, 2))      # Output: 1
print(tukey.divide(8, 2))      # Output: 4.0
print(tukey.divide(10, 0))     # Output: Cannot divide by zero
```


Inspiration
----------------------
The 'tukey' package is named in honor of John Tukey, a pioneering statistician known for his contributions to exploratory data analysis and statistical methodology. This project aims to simplify and streamline the process of learning data visualization and manipulation, inspired by Tukey's focus on practical and intuitive statistical techniques.

Future Plans
----------------------
In future versions of 'tukey', I plan to expand the package to include a user-friendly interface for data visualization, targeting beginners in the field of data analysis. The goal is to reduce the complexity of code required for common visualization tasks, empowering newcomers to explore and understand their data more effectively.

Stay tuned for updates and new features!